%undefine __cmake_in_source_build

%define         base_name milou

Name:    plasma-%{base_name}
Version: 5.27.10
Release:    1%{?dist}
Summary: A dedicated KDE search application built on top of Baloo

License: GPLv2+
URL:     https://cgit.kde.org/%{base_name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/plasma/%{version}/%{base_name}-%{version}.tar.xz

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtxmlpatterns-devel
BuildRequires:  qt5-qtscript-devel

BuildRequires:  kf5-rpm-macros >= 5.25.0-2
BuildRequires:  extra-cmake-modules

BuildRequires:  kf5-krunner-devel
BuildRequires:  kf5-plasma-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kdeclarative-devel
BuildRequires:  kf5-baloo-devel
BuildRequires:  kf5-kitemmodels-devel

Requires:       kf5-filesystem

Provides:       kde-plasma-milou = %{version}-%{release}

%description
%{summary}.


%prep
%autosetup -n %{base_name}-%{version} -p1


%build
%{cmake_kf5}
%cmake_build


%install
%cmake_install
%find_lang milou --with-qt --all-name



%files -f milou.lang
%{_libdir}/libmilou.so.*
%{_kf5_qmldir}/org/kde/milou/
%{_datadir}/plasma/plasmoids/org.kde.milou/
%{_kf5_datadir}/kservices5/plasma-applet-org.kde.milou.desktop
%{_kf5_metainfodir}/org.kde.milou.appdata.xml


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.27.10-1
- initial build
